SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001021SOGoSOPEpublic2010-12-01 13:562011-05-13 07:03
Reporterbuzzdee 
Assigned Toludovic 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionduplicate 
PlatformOSOS Version
Product Version1.3.4 
Target VersionFixed in Version1.3.8 
Summary0001021: specific mail crashes sogo in SOPE NGMimeRFC822DateHeaderFieldParser
Descriptionattached mail crashed sogo with following backtrace:

(gdb) bt
#0 -[NGMimeRFC822DateHeaderFieldParser parseValue:ofHeaderField:] (self=0x88f076b8, _cmd=0x2e295b70, _data=0x8503cbe8, _field=0x0)
    at NGMimeRFC822DateHeaderFieldParser.m:130
0000001 0x0e2be8b8 in -[NGImap4ResponseParser _parseEnvelope] (self=0x7e96a5c8, _cmd=0x2e295bb0) at NGImap4ResponseParser.m:1544
0000002 0x0e2c81ff in -[NGImap4ResponseParser _parseNumberUntaggedResponse:] (self=0x7e96a5c8, _cmd=0x2e295a00, result_=0x7d0c7988)
    at NGImap4ResponseParser.m:1697
0000003 0x0e2c6d71 in -[NGImap4ResponseParser parseResponseForTagId:exception:] (self=0x7e96a5c8, _cmd=0x2e296c98, _tag=10, ex_=0xcfbdb084)
    at NGImap4ResponseParser.m:685
0000004 0x0e2d0837 in -[NGImap4Client processCommand:withTag:withNotification:logText:] (self=0x7f89fb88, _cmd=0x2e2970b0, _command=0x839a9008,
    _tag=Variable "_tag" is not available.
) at NGImap4Client.m:1508
0000005 0x0e2c9a26 in -[NGImap4Client processCommand:] (self=0x7f89fb88, _cmd=0x2e296cb8, _command=0x839a9008) at NGImap4Client.m:1579
0000006 0x0e2cbbce in -[NGImap4Client fetchUids:parts:] (self=0x7f89fb88, _cmd=0x2e2a08c8, _uids=0x87f803e8, _parts=0x7d281888)
    at NGImap4Client.m:865
0000007 0x0e2f878f in -[NGImap4Connection fetchUIDs:inURL:parts:] (self=0x8451ae48, _cmd=0x2fa8f9c0, _uids=0x87f803e8, _url=0x7e96a068,
    _parts=0x7d281888) at NGImap4Connection.m:541
0000008 0x0faa1da0 in -[SOGoMailFolder fetchUIDs:parts:] (self=0x7c19d488, _cmd=0x24b28038, _uids=0x87f803e8, _parts=0x7d281888)
    at SOGoMailFolder.m:555
0000009 0x04b316f5 in -[UIxMailListActions getHeadersForUIDs:inFolder:] (self=0x84518648, _cmd=0x24b27fe8, uids=0x87f803e8, mailFolder=0x7c19d488)
    at UIxMailListActions.m:597
0000010 0x04b314ea in -[UIxMailListActions getHeadersAction] (self=0x84518648, _cmd=0x7f29e758) at UIxMailListActions.m:722
0000011 0x0849b195 in -[NSObject performSelector:] (self=0x84518648, _cmd=0x2265e2f0, aSelector=0x7f29e758) at NSObject.m:1831
0000012 0x026c6020 in -[WODirectAction performActionNamed:] (self=0x84518648, _cmd=0x226b71a0, _actionName=0x84518d08) at WODirectAction.m:101
0000013 0x0275b9ab in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x87f80388, _cmd=0x226b71b8,
    _client=0x7c19d488, _positionalArgs=0x0, _ctx=0x81f67808) at SoActionInvocation.m:300
0000014 0x0275b7ce in -[SoActionInvocation callOnObject:inContext:] (self=0x87f80388, _cmd=0x226b7148, _client=0x7c19d488, _ctx=0x81f67808)
    at SoActionInvocation.m:316
0000015 0x0275b853 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x8700c028, _cmd=0x226b71b8,
    _client=0x7c19d488, _positionalArgs=0x0, _ctx=0x81f67808) at SoActionInvocation.m:259
0000016 0x0275b7ce in -[SoActionInvocation callOnObject:inContext:] (self=0x8700c028, _cmd=0x226b51a8, _client=0x7c19d488, _ctx=0x81f67808)
    at SoActionInvocation.m:316
0000017 0x027553d9 in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x7d0c7648, _cmd=0x226b59b8, _ctx=0x81f67808)
    at SoObjectMethodDispatcher.m:191
0000018 0x0275765a in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x8ad3dc88, _cmd=0x22667f38, _rq=0x87006a08,
    _ctx=0x81f67808, _sn=0x0, app=0x7fff0208) at SoObjectRequestHandler.m:591
0000019 0x026d8697 in -[WORequestHandler handleRequest:] (self=0x8ad3dc88, _cmd=0x22645948, _request=0x87006a08) at WORequestHandler.m:241
0000020 0x0269537d in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x7fff0208, _cmd=0x22645978, _request=0x87006a08, handler=0x8ad3dc88)
    at WOCoreApplication.m:704
0000021 0x0269525e in -[WOCoreApplication dispatchRequest:] (self=0x7fff0208, _cmd=0x3c0029b8, _request=0x87006a08) at WOCoreApplication.m:744
0000022 0x1c0036a3 in -[SOGo dispatchRequest:] (self=0x7fff0208, _cmd=0x226a53b0, _request=0x87006a08) at SOGo.m:436
0000023 0x027445bb in -[WOHttpTransaction _run] (self=0x87006888, _cmd=0x226a53c8) at WOHttpTransaction.m:546
0000024 0x0274766a in -[WOHttpTransaction run] (self=0x87006888, _cmd=0x226a46a8) at WOHttpTransaction.m:599
0000025 0x02740fe5 in -[WOHttpAdaptor runConnection:] (self=0x7d2818c8, _cmd=0x226a46f8, _socket=0x7d0d60c8) at WOHttpAdaptor.m:398
0000026 0x02742ce6 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x7d2818c8, _cmd=0x226a4700, _connection=0x7d0d60c8) at WOHttpAdaptor.m:432
0000027 0x027429f2 in -[WOHttpAdaptor _handleConnection:] (self=0x7d2818c8, _cmd=0x226a4780, connection=0x7d0d60c8) at WOHttpAdaptor.m:543
0000028 0x02742eaf in -[WOHttpAdaptor acceptConnection:] (self=0x7d2818c8, _cmd=0x226a4688, _notification=0x852b8168) at WOHttpAdaptor.m:607
0000029 0x0848b71e in -[NSNotificationCenter _postAndRelease:] (self=0x8024e5d8, _cmd=0x2837c1d0, notification=0x852b8168)
    at NSNotificationCenter.m:1161
0000030 0x0848a948 in -[NSNotificationCenter postNotificationName:object:userInfo:] (self=0x8024e5d8, _cmd=0x2837c1d8, name=0x28ec809c,
    object=0x7d2810c8, info=0x0) at NSNotificationCenter.m:1220
0000031 0x0848a7be in -[NSNotificationCenter postNotificationName:object:] (self=0x8024e5d8, _cmd=0x28ec8028, name=0x28ec809c, object=0x7d2810c8)
    at NSNotificationCenter.m:1200
0000032 0x08eef8f2 in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x7d2810c8, _cmd=0x283d0b40, _fdData=0xb,
    _type=ET_RDESC, _extra=0xb, _mode=0x283900c0) at NSRunLoop+FileObjects.m:57
0000033 0x0859f3de in -[GSRunLoopCtxt pollUntil:within:] (self=0x7fff0e88, _cmd=0x28390050, milliseconds=26395, contexts=0x86f1ab88)
    at GSRunLoopCtxt.m:636
0000034 0x084dab62 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x86f1a928, _cmd=0x28390078, mode=0x283900c0, limit_date=0x7d27ec28)
    at NSRunLoop.m:1197
0000035 0x084d8c83 in -[NSRunLoop runMode:beforeDate:] (self=0x86f1a928, _cmd=0x226458b8, mode=0x283900c0, date=0x86f1a3e8) at NSRunLoop.m:1265
0000036 0x02695d31 in -[WOCoreApplication run] (self=0x7fff0208, _cmd=0x3c0028c8) at WOCoreApplication.m:576
0000037 0x1c001b22 in -[SOGo run] () at SOGo.m:260
0000038 0x026c197e in WOApplicationMain (_appClassName=0x3c00196c, argc=5, argv=0xcfbdc0b8) at WOApplicationMain.m:42
0000039 0x026e36bd in WOWatchDogApplicationMain (appName=0x3c00196c, argc=5, argv=0xcfbdc0b8) at WOWatchDogApplicationMain.m:969
0000040 0x1c001697 in gnustep_base_user_main (argc=5, argv=0xcfbdc0b8, env=0xcfbdc0d0) at sogod.m:53
0000041 0x084c9c9e in main (argc=5, argv=Cannot access memory at address 0x4
) at NSProcessInfo.m:933
0000042 0x1c001397 in ___start ()
0000043 0x1c001317 in _start ()
0000044 0x00000000 in ?? ()
(gdb) frame 0
#0 -[NGMimeRFC822DateHeaderFieldParser parseValue:ofHeaderField:] (self=0x88f076b8, _cmd=0x2e295b70, _data=0x8503cbe8, _field=0x0)
    at NGMimeRFC822DateHeaderFieldParser.m:130
130 while (!isdigit(*p))
(gdb) list
125 static inline char *digitsString(const char *string) {
126 const char *p;
127 unsigned int len;
128
129 p = string;
130 while (!isdigit(*p))
131 p++;
132 len = 0;
133 while (isdigit(*(p + len)))
134 len++;
#0 -[NGMimeRFC822DateHeaderFieldParser parseValue:ofHeaderField:] (self=0x88f076b8, _cmd=0x2e295b70, _data=0x8503cbe8, _field=0x0)
    at NGMimeRFC822DateHeaderFieldParser.m:130
130 while (!isdigit(*p))
(gdb) list
125 static inline char *digitsString(const char *string) {
126 const char *p;
127 unsigned int len;
128
129 p = string;
130 while (!isdigit(*p))
131 p++;
132 len = 0;
133 while (isdigit(*(p + len)))
134 len++;
(gdb) print string
No symbol "string" in current context.
(gdb) po string
No symbol "string" in current context.
(gdb) print *string
No symbol "string" in current context.
(gdb) frame 1
0000001 0x0e2be8b8 in -[NGImap4ResponseParser _parseEnvelope] (self=0x7e96a5c8, _cmd=0x2e295bb0) at NGImap4ResponseParser.m:1544
1544 env->date = [[dateParser parseValue:dateStr ofHeaderField:nil] retain];
(gdb) list
1539 /* parse date */
1540
1541 dateStr = [self _parseQuotedStringOrNIL];
1542 [self _consumeOptionalSpace];
1543 if ([dateStr isNotNull])
1544 env->date = [[dateParser parseValue:dateStr ofHeaderField:nil] retain];
1545
1546 /* parse subject */
1547
1548 if ((tmp = [self _parseQuotedStringOrDataOrNIL]) != nil) {
(gdb) print dateStr
$2 = (class NSString *) 0x8503cbe8
(gdb) po dateStr
Tue, 28 Sep 2010 08:51:20 GMT
Additional InformationThis happened when scrolling through my trash folder, I only found one mail with the date from the backtrace in the Trash folder. I copied it into a test folder with thunderbird. Afterwards I was suddenly able to enter the test folder without the crasher. diff -u of both mail files on the imap server showed no difference.

I'm on OpenBSD i386, using sope and sogo 1.3.4, and gnustep-base-1.18.0p2

IMAP Server is cyrus imapd.
TagsNo tags attached.
Attached Filestxt file icon mail.txt [^] (2,767 bytes) 2010-12-02 03:22 [Show Content]
txt file icon crasher-mail.txt [^] (2,852 bytes) 2010-12-02 03:23 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
duplicate of 0001022resolvedludovic specific mail crashes sogo in SOPE NGMimeRFC822DateHeaderFieldParser 

-  Notes
User avatar (0001905)
ludovic (administrator)
2010-12-01 17:07

Missing mail.
(0001910)
buzzdee (reporter)
2010-12-02 03:16

Attached another mail, that crashes sogo when scrolling through a folder. As with the other mail before, I found the culprit mail, due to its date, and moved it to a separate folder, but also here again, its not crashing again :(

(gdb) r -WOUseWatchDog NO -WONoDetach YES
Starting program: /usr/local/sbin/sogod -WOUseWatchDog NO -WONoDetach YES

Program received signal SIGSEGV, Segmentation fault.
[Switching to process 19124, thread 0x8486f400]
-[NGMimeRFC822DateHeaderFieldParser parseValue:ofHeaderField:] (self=0x884795b8, _cmd=0x203a0b70, _data=0x830c6dc8, _field=0x0)
    at NGMimeRFC822DateHeaderFieldParser.m:130
130 while (!isdigit(*p))
Current language: auto; currently minimal
(gdb) bt
#0 -[NGMimeRFC822DateHeaderFieldParser parseValue:ofHeaderField:] (self=0x884795b8, _cmd=0x203a0b70, _data=0x830c6dc8, _field=0x0)
    at NGMimeRFC822DateHeaderFieldParser.m:130
0000001 0x003c98b8 in -[NGImap4ResponseParser _parseEnvelope] (self=0x88e8ca28, _cmd=0x203a0bb0) at NGImap4ResponseParser.m:1544
0000002 0x003d31ff in -[NGImap4ResponseParser _parseNumberUntaggedResponse:] (self=0x88e8ca28, _cmd=0x203a0a00, result_=0x7dc3c0c8) at NGImap4ResponseParser.m:1697
0000003 0x003d1d71 in -[NGImap4ResponseParser parseResponseForTagId:exception:] (self=0x88e8ca28, _cmd=0x203a1c98, _tag=11, ex_=0xcfbd3034) at NGImap4ResponseParser.m:685
0000004 0x003db837 in -[NGImap4Client processCommand:withTag:withNotification:logText:] (self=0x8a4b3588, _cmd=0x203a20b0, _command=0x7dc24a08, _tag=Variable "_tag" is not available.
)
    at NGImap4Client.m:1508
0000005 0x003d4a26 in -[NGImap4Client processCommand:] (self=0x8a4b3588, _cmd=0x203a1cb8, _command=0x7dc24a08) at NGImap4Client.m:1579
0000006 0x003d6bce in -[NGImap4Client fetchUids:parts:] (self=0x8a4b3588, _cmd=0x203ab8c8, _uids=0x87572608, _parts=0x88e8f408) at NGImap4Client.m:865
0000007 0x0040378f in -[NGImap4Connection fetchUIDs:inURL:parts:] (self=0x88e8fc08, _cmd=0x235e19c0, _uids=0x87572608, _url=0x7d3be428, _parts=0x88e8f408)
    at NGImap4Connection.m:541
0000008 0x035f3da0 in -[SOGoMailFolder fetchUIDs:parts:] (self=0x87708f48, _cmd=0x274b8038, _uids=0x87572608, _parts=0x88e8f408) at SOGoMailFolder.m:555
0000009 0x074c16f5 in -[UIxMailListActions getHeadersForUIDs:inFolder:] (self=0x7efa9d08, _cmd=0x274b7fe8, uids=0x87572608, mailFolder=0x87708f48)
    at UIxMailListActions.m:597
0000010 0x074c14ea in -[UIxMailListActions getHeadersAction] (self=0x7efa9d08, _cmd=0x81281558) at UIxMailListActions.m:722
0000011 0x09090195 in -[NSObject performSelector:] (self=0x7efa9d08, _cmd=0x2aa262f0, aSelector=0x81281558) at NSObject.m:1831
0000012 0x0aa8e020 in -[WODirectAction performActionNamed:] (self=0x7efa9d08, _cmd=0x2aa7f1a0, _actionName=0x7efa97c8) at WODirectAction.m:101
0000013 0x0ab239ab in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x87572bc8, _cmd=0x2aa7f1b8, _client=0x87708f48,
    _positionalArgs=0x0, _ctx=0x8918d808) at SoActionInvocation.m:300
0000014 0x0ab237ce in -[SoActionInvocation callOnObject:inContext:] (self=0x87572bc8, _cmd=0x2aa7f148, _client=0x87708f48, _ctx=0x8918d808) at SoActionInvocation.m:316
0000015 0x0ab23853 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x89141048, _cmd=0x2aa7f1b8, _client=0x87708f48,
    _positionalArgs=0x0, _ctx=0x8918d808) at SoActionInvocation.m:259
0000016 0x0ab237ce in -[SoActionInvocation callOnObject:inContext:] (self=0x89141048, _cmd=0x2aa7d1a8, _client=0x87708f48, _ctx=0x8918d808) at SoActionInvocation.m:316
0000017 0x0ab1d3d9 in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x7fed1698, _cmd=0x2aa7d9b8, _ctx=0x8918d808) at SoObjectMethodDispatcher.m:191
0000018 0x0ab1f65a in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x849c3108, _cmd=0x2aa2ff38, _rq=0x7fc82d08, _ctx=0x8918d808, _sn=0x0,
    app=0x7ef85d08) at SoObjectRequestHandler.m:591
0000019 0x0aaa0697 in -[WORequestHandler handleRequest:] (self=0x849c3108, _cmd=0x2aa0d948, _request=0x7fc82d08) at WORequestHandler.m:241
0000020 0x0aa5d37d in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x7ef85d08, _cmd=0x2aa0d978, _request=0x7fc82d08, handler=0x849c3108)
    at WOCoreApplication.m:704
0000021 0x0aa5d25e in -[WOCoreApplication dispatchRequest:] (self=0x7ef85d08, _cmd=0x3c0029b8, _request=0x7fc82d08) at WOCoreApplication.m:744
0000022 0x1c0036a3 in -[SOGo dispatchRequest:] (self=0x7ef85d08, _cmd=0x2aa6d3b0, _request=0x7fc82d08) at SOGo.m:436
0000023 0x0ab0c5bb in -[WOHttpTransaction _run] (self=0x80441488, _cmd=0x2aa6d3c8) at WOHttpTransaction.m:546
0000024 0x0ab0f66a in -[WOHttpTransaction run] (self=0x80441488, _cmd=0x2aa6c6a8) at WOHttpTransaction.m:599
0000025 0x0ab08fe5 in -[WOHttpAdaptor runConnection:] (self=0x8be47b48, _cmd=0x2aa6c6f8, _socket=0x8218ad08) at WOHttpAdaptor.m:398
0000026 0x0ab0ace6 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x8be47b48, _cmd=0x2aa6c700, _connection=0x8218ad08) at WOHttpAdaptor.m:432
0000027 0x0ab0a9f2 in -[WOHttpAdaptor _handleConnection:] (self=0x8be47b48, _cmd=0x2aa6c780, connection=0x8218ad08) at WOHttpAdaptor.m:543
0000028 0x0ab0aeaf in -[WOHttpAdaptor acceptConnection:] (self=0x8be47b48, _cmd=0x2aa6c688, _notification=0x83ed1108) at WOHttpAdaptor.m:607
0000029 0x0908071e in -[NSNotificationCenter _postAndRelease:] (self=0x82afa658, _cmd=0x28f711d0, notification=0x83ed1108) at NSNotificationCenter.m:1161
0000030 0x0907f948 in -[NSNotificationCenter postNotificationName:object:userInfo:] (self=0x82afa658, _cmd=0x28f711d8, name=0x2c18009c, object=0x8be47588, info=0x0)
    at NSNotificationCenter.m:1220
0000031 0x0907f7be in -[NSNotificationCenter postNotificationName:object:] (self=0x82afa658, _cmd=0x2c180028, name=0x2c18009c, object=0x8be47588)
    at NSNotificationCenter.m:1200
0000032 0x0c1a78f2 in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x8be47588, _cmd=0x28fc5b40, _fdData=0xb, _type=ET_RDESC, _extra=0xb,
    _mode=0x28f850c0) at NSRunLoop+FileObjects.m:57
---Type <return> to continue, or q <return> to quit---
0000033 0x091943de in -[GSRunLoopCtxt pollUntil:within:] (self=0x7ef85e08, _cmd=0x28f85050, milliseconds=6954, contexts=0x8a110a28) at GSRunLoopCtxt.m:636
0000034 0x090cfb62 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x8a110b48, _cmd=0x28f85078, mode=0x28f850c0, limit_date=0x8877e6c8) at NSRunLoop.m:1197
0000035 0x090cdc83 in -[NSRunLoop runMode:beforeDate:] (self=0x8a110b48, _cmd=0x2aa0d8b8, mode=0x28f850c0, date=0x84ba8ba8) at NSRunLoop.m:1265
0000036 0x0aa5dd31 in -[WOCoreApplication run] (self=0x7ef85d08, _cmd=0x3c0028c8) at WOCoreApplication.m:576
0000037 0x1c001b22 in -[SOGo run] () at SOGo.m:260
0000038 0x0aa8997e in WOApplicationMain (_appClassName=0x3c00196c, argc=5, argv=0xcfbd4064) at WOApplicationMain.m:42
0000039 0x0aaab6bd in WOWatchDogApplicationMain (appName=0x3c00196c, argc=5, argv=0xcfbd4064) at WOWatchDogApplicationMain.m:969
0000040 0x1c001697 in gnustep_base_user_main (argc=5, argv=0xcfbd4064, env=0xcfbd407c) at sogod.m:53
0000041 0x090bec9e in main (argc=5, argv=Cannot access memory at address 0x4
) at NSProcessInfo.m:933
0000042 0x1c001397 in ___start ()
0000043 0x1c001317 in _start ()
0000044 0x00000000 in ?? ()
(gdb) frame 0
#0 -[NGMimeRFC822DateHeaderFieldParser parseValue:ofHeaderField:] (self=0x884795b8, _cmd=0x203a0b70, _data=0x830c6dc8, _field=0x0)
    at NGMimeRFC822DateHeaderFieldParser.m:130
130 while (!isdigit(*p))
(gdb) list
125 static inline char *digitsString(const char *string) {
126 const char *p;
127 unsigned int len;
128
129 p = string;
130 while (!isdigit(*p))
131 p++;
132 len = 0;
133 while (isdigit(*(p + len)))
134 len++;
(gdb) print p
No symbol "p" in current context.
(gdb) frame 1
0000001 0x003c98b8 in -[NGImap4ResponseParser _parseEnvelope] (self=0x88e8ca28, _cmd=0x203a0bb0) at NGImap4ResponseParser.m:1544
1544 env->date = [[dateParser parseValue:dateStr ofHeaderField:nil] retain];
(gdb) list
1539 /* parse date */
1540
1541 dateStr = [self _parseQuotedStringOrNIL];
1542 [self _consumeOptionalSpace];
1543 if ([dateStr isNotNull])
1544 env->date = [[dateParser parseValue:dateStr ofHeaderField:nil] retain];
1545
1546 /* parse subject */
1547
1548 if ((tmp = [self _parseQuotedStringOrDataOrNIL]) != nil) {
(gdb) print dateStr
$1 = (class NSString *) 0x830c6dc8
(gdb) print *dateStr
$2 = {{isa = 0x28f43d40}}
(gdb) po dateStr
Thu, 23 Sep 2010 16:47:00 GMT
(gdb) c


in the sogod.log file I always see the string before the crasher:
2010-12-02 09:02:07.967 sogod[19124] parseTimeZone: cannot parse time notation 'GMT'

however, I also see the string logged, without crashing ogo, i.e. after moving the mail to a separate folder, the same gets logged, but sogo is not crashing.
(0001911)
buzzdee (reporter)
2010-12-02 03:24

the mail.txt is from the first backtrace, the crasher-mail from the second.
User avatar (0001916)
ludovic (administrator)
2010-12-02 10:43

crasher-mail works just fine too.
(0002185)
buzzdee (reporter)
2011-03-03 13:15

Just a quick note, I get the same error with OGo too.
(0002471)
buzzdee (reporter)
2011-05-13 02:43

This one can be closed, it was a duplicate of 1022 which was fixed.

- Issue History
Date Modified Username Field Change
2010-12-01 13:56 buzzdee New Issue
2010-12-01 17:07 ludovic Note Added: 0001905
2010-12-02 03:16 buzzdee Note Added: 0001910
2010-12-02 03:22 buzzdee File Added: mail.txt
2010-12-02 03:23 buzzdee File Added: crasher-mail.txt
2010-12-02 03:24 buzzdee Note Added: 0001911
2010-12-02 10:43 ludovic Note Added: 0001916
2011-03-03 13:15 buzzdee Note Added: 0002185
2011-05-13 02:43 buzzdee Note Added: 0002471
2011-05-13 07:03 ludovic Relationship added duplicate of 0001022
2011-05-13 07:03 ludovic Duplicate ID 0 => 1022
2011-05-13 07:03 ludovic Status new => resolved
2011-05-13 07:03 ludovic Fixed in Version => 1.3.8
2011-05-13 07:03 ludovic Resolution open => duplicate
2011-05-13 07:03 ludovic Assigned To => ludovic


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker